Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project.validator
Class EJBQLQueryValidator.PositionException

    java.lang.Object
      org.apache.cayenne.project.validator.EJBQLQueryValidator.PositionException

Enclosing class:
  EJBQLQueryValidator

    public class EJBQLQueryValidator.PositionException

extends Object

Constructor Summary
`EJBQLQueryValidator.PositionException()`

Method Summary
`Integer` | `getBeginColumn()`
`Integer` | `getBeginLine()`
`Exception` | `getE()`
`Integer` | `getEndColumn()`
`Integer` | `getEndLine()`
`String` | `getImage()`
`Integer` | `getLength()`
`String` | `getMessage()`
`void` | `setBeginColumn(Integer beginColumn)`
`void` | `setBeginLine(Integer beginLine)`
`void` | `setE(Exception e)`
`void` | `setEndColumn(Integer endColumn)`
`void` | `setEndLine(Integer endLine)`
`void` | `setImage(String image)`
`void` | `setLength(Integer length)`
`void` | `setMessage(String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBQLQueryValidator.PositionException

    public EJBQLQueryValidator.PositionException()

Method Detail

### getLength

    public Integer getLength()

### setLength

    public void setLength(Integer length)

### getE

    public Exception getE()

### setE

    public void setE(Exception e)

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

### getBeginColumn

    public Integer getBeginColumn()

### setBeginColumn

    public void setBeginColumn(Integer beginColumn)

### getBeginLine

    public Integer getBeginLine()

### setBeginLine

    public void setBeginLine(Integer beginLine)

### getEndColumn

    public Integer getEndColumn()

### setEndColumn

    public void setEndColumn(Integer endColumn)

### getEndLine

    public Integer getEndLine()

### setEndLine

    public void setEndLine(Integer endLine)

### getImage

    public String getImage()

### setImage

    public void setImage(String image)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.